## python-oslo.vmware 0.2

=== requirements.txt ===
stevedore>=0.12
netaddr>=0.7.6

# for timeutils
iso8601>=0.1.8

# for jsonutils
six>=1.4.1

# used by openstack/common/gettextutils.py
Babel>=1.3

# for the routing notifier
PyYAML>=3.1.0

suds>=0.4
eventlet>=0.13.0

=== debian/changelog ===
python-oslo.vmware (0.2-0ubuntu1) trusty; urgency=low

  * Initial release (LP: #1287173).

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 28 Feb 2014 10:40:36 -0500

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3~),
 python-setuptools, python-stevedore, python-iso8601, python-six,
 python-babel, python-yaml, python-suds, python-eventlet, python-mock,
 python-netaddr, python-mox3, testrepository, python-testscenarios, python-testtools
Standards-Version: 3.9.5

Package: python-oslo.vmware
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-stevedore,
 python-netaddr, python-iso8601, python-six, python-babel, python-yaml,
 python-suds, python-eventlet, python-netaddr
Description: oslo vmware library
 Oslo VMware library for OpenStack Projects.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_test:
	testr init && testr run

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/oslo.vmware/oslo.vmware-(.*)\.tar\.gz

## python-oslo.vmware 0.4.0

=== requirements.txt ===
stevedore>=0.14
netaddr>=0.7.6

# for timeutils
iso8601>=0.1.9

# for jsonutils
six>=1.7.0

# used by openstack/common/gettextutils.py
Babel>=1.3

# for the routing notifier
PyYAML>=3.1.0

suds>=0.4
eventlet>=0.13.0

=== debian/changelog ===
python-oslo.vmware (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 21:26:37 +0800

python-oslo.vmware (0.3-2) unstable; urgency=medium

  * Dropped python-hacking from b-d (just to make James Page happy... :).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Jun 2014 01:06:22 +0800

python-oslo.vmware (0.3-1) unstable; urgency=medium

  [ Thomas Bechtold ]
  * debian/watch: Use github tags.

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed UPSTREAM_GIT url in debian/rules.
  * Fixed new (build-)requirements for this release.
  * Using testr and subunit properly.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 05:45:49 +0000

python-oslo.vmware (0.2-1) experimental; urgency=low

  * Initial release. (Closes: #740806)

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Mar 2014 15:29:17 +0800

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-babel (>= 1.3),
               python-coverage (>= 3.6),
               python-eventlet (>= 0.13.0),
               python-fixtures (>= 0.3.14),
               python-iso8601 (>= 0.1.9),
               python-mock (>= 1.0),
               python-mox3 (>= 0.7.0),
               python-netaddr,
               python-oslosphinx,
               python-setuptools,
               python-six (>= 1.7.0),
               python-sphinx (>= 1.1.2),
               python-stevedore (>= 0.14),
               python-subunit (>= 0.0.18),
               python-suds,
               python-testscenarios (>= 0.4),
               python-testtools (>= 0.9.34),
               python-yaml (>= 3.1.0),
               python3-all,
               python3-setuptools,
               subunit (>= 0.0.18),
               testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.vmware.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.vmware.git
Homepage: http://launchpad.net/oslo

Package: python-oslo.vmware
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-eventlet (>= 0.13.0),
         python-iso8601 (>= 0.1.9),
         python-netaddr,
         python-six (>= 1.7.0),
         python-stevedore (>= 0.14),
         python-suds,
         python-yaml (>= 3.1.0),
         ${misc:Depends},
         ${python:Depends}
Description: VMware library for OpenStack projects - Python 2.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 2.x module.

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.vmware.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.vmware; \
	done
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-oslo.vmware; \
#	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.vmware-doc/usr/share/doc/python-oslo.vmware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

## python-oslo.vmware 0.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

stevedore>=0.14
netaddr>=0.7.12

# for timeutils
iso8601>=0.1.9

# for jsonutils
six>=1.7.0

oslo.i18n>=0.3.0
Babel>=1.3

# for the routing notifier
PyYAML>=3.1.0

suds>=0.4
eventlet>=0.15.1

=== debian/changelog ===
python-oslo.vmware (0.6.0-1ubuntu2~cloud0) trusty-juno; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 03 Oct 2014 03:04:34 -0400

python-oslo.vmware (0.6.0-1ubuntu2) utopic; urgency=medium

  * d/p/fix-requirements.patch: Align version of eventlet with 14.10
    release version to avoid version mismatch issues when loading
    with pbr. 

 -- James Page <james.page@ubuntu.com>  Wed, 01 Oct 2014 14:58:38 +0100

python-oslo.vmware (0.6.0-1ubuntu1) utopic; urgency=medium

  * Resync with Debian experimental to support OpenStack Glance rc1.
  * d/control: Drop minimum version requirement for eventlet. 

 -- James Page <james.page@ubuntu.com>  Tue, 30 Sep 2014 16:55:42 +0100

python-oslo.vmware (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to Experimental right before the freeze.
  * Patches doc/source/conf.py which is failing the sphinx doc build.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 13:43:21 +0800

python-oslo.vmware (0.5.0-0ubuntu1) utopic; urgency=medium

  * New upstream release to support OpenStack Juno b3.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Sep 2014 09:44:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.vmware
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>
@@ -15,8 +16,9 @@
                python-iso8601 (>= 0.1.9),
                python-mock (>= 1.0),
                python-mox3 (>= 0.7.0),
-               python-netaddr,
-               python-oslosphinx,
+               python-netaddr (>= 0.7.12),
+               python-oslo.i18n (>= 0.3.0),
+               python-oslosphinx (>= 2.2.0.0~a2),
                python-setuptools,
                python-six (>= 1.7.0),
                python-sphinx (>= 1.1.2),
@@ -41,7 +43,8 @@
 Depends: python-babel (>= 1.3),
          python-eventlet (>= 0.13.0),
          python-iso8601 (>= 0.1.9),
-         python-netaddr,
+         python-netaddr (>= 0.7.12),
+         python-oslo.i18n (>= 0.3.0),
          python-six (>= 1.7.0),
          python-stevedore (>= 0.14),
          python-suds,

=== debian/rules ===
--- 
+++ 
@@ -34,5 +34,5 @@
 endif
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-oslo.vmware-doc/usr/share/doc/python-oslo.vmware-doc/html
+	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.vmware-doc/usr/share/doc/python-oslo.vmware-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils

## python-oslo.vmware 0.11.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0

stevedore>=1.1.0  # Apache-2.0
netaddr>=0.7.12

# for timeutils
iso8601>=0.1.9

# for jsonutils
six>=1.9.0

oslo.i18n>=1.3.0  # Apache-2.0
oslo.serialization>=1.2.0               # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
Babel>=1.3

# for the routing notifier
PyYAML>=3.1.0

suds>=0.4
eventlet>=0.16.1
httplib2>=0.7.5
requests>=2.2.0,!=2.4.0
urllib3>=1.8.3
oslo.concurrency>=1.4.1         # Apache-2.0

=== debian/changelog ===
python-oslo.vmware (0.11.1-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 16 Apr 2015 22:09:46 +0000

python-oslo.vmware (0.11.1-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1444594)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Apr 2015 11:46:52 -0400

python-oslo.vmware (0.11.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Mar 2015 09:52:45 -0400

python-oslo.vmware (0.10.0-0ubuntu1) vivid; urgency=medium

  * New usptream release. 
  * debian/control:
    - Transition to new namespace packages.
    - Add python-httplib2 and python-oslo.serialization

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Mar 2015 10:25:46 -0500

python-oslo.vmware (0.9.0-0ubuntu3) vivid; urgency=medium

  * d/control: Correct typo in -doc transitional package.
  * d/control: Drop Pre-Depends on dpkg, no longer required.
  * d/*: wrap-and-sort.
  * d/python-oslo-vmware-doc.doc-base: Update for new package names.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Feb 2015 08:34:33 +0000

python-oslo.vmware (0.9.0-0ubuntu2) vivid; urgency=medium

  * debian/control: Fix broken Breaks/Replaces. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Feb 2015 08:58:39 -0500

python-oslo.vmware (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Transition new namespace.
  * debian/patches/use-toggle-lazyfixture.patch: Dropped
  * debian/control: Add python-oslo.concurrency.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 11:35:16 -0500

python-oslo.vmware (0.8.0-0ubuntu2) vivid; urgency=medium

  * d/p/use-toggle-lazyfixture.patch: Cherry pick fix from upstream
    VCS to avoid use of private variable in oslo.i18n, fixing FTBFS.

 -- James Page <james.page@ubuntu.com>  Thu, 15 Jan 2015 14:36:50 +0000

python-oslo.vmware (0.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - d/control: Add BD on python-urllib3.
  * d/control: Bumped Standards-Version to 3.9.6, no changes.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Dec 2014 11:55:28 +0000

python-oslo.vmware (0.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/patches/fix-requirements.patch: Dropped no longer needed. 
  * debian/patches/fixes-broken-sphinx-conf.py.patch: Refreshed.
  * debian/rules: FTBFS if tests fail
  * debian/control: Add python-oslo.utils and python-requests as depenencies.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 24 Nov 2014 10:35:15 -0500

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Mehdi Abaakouk <sileht@sileht.net>
Build-Depends:
 debhelper (>= 9~),
 openstack-pkg-tools,
 python-all (>= 2.6.6-3~),
 python-babel (>= 1.3),
 python-coverage (>= 3.6),
 python-eventlet (>= 0.13.0),
 python-fixtures (>= 0.3.14),
 python-iso8601 (>= 0.1.9),
 python-mock (>= 1.0),
 python-mox3 (>= 0.7.0),
 python-netaddr (>= 0.7.12),
 python-oslo-concurrency,
 python-oslo-i18n (>= 0.3.0),
 python-oslo-serialization,
 python-oslo-utils,
 python-oslosphinx (>= 2.2.0.0~a2),
 python-httplib2,
 python-requests,
 python-setuptools,
 python-six (>= 1.7.0),
 python-sphinx (>= 1.1.2),
 python-stevedore (>= 0.14),
 python-subunit (>= 0.0.18),
 python-suds,
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.36),
 python-urllib3,
 python-yaml (>= 3.1.0),
 python3-all,
 python3-setuptools,
 subunit (>= 0.0.18),
 testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.vmware.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.vmware.git
Homepage: http://launchpad.net/oslo

Package: python-oslo-vmware
Breaks: python-oslo.vmware ( << 0.9.0-0ubuntu1~)
Replaces: python-oslo.vmware ( << 0.9.0-0ubuntu1~)
Architecture: all
Depends:
 python-babel (>= 1.3),
 python-eventlet (>= 0.13.0),
 python-iso8601 (>= 0.1.9),
 python-netaddr (>= 0.7.12),
 python-httplib2,
 python-oslo-i18n (>= 0.3.0),
 python-oslo-serialization (>= 1.2.0),
 python-oslo-utils,
 python-requests,
 python-six (>= 1.7.0),
 python-stevedore (>= 0.14),
 python-suds,
 python-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python:Depends}
Description: VMware library for OpenStack projects - Python 2.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 2.x module.

Package: python-oslo-vmware-doc
Section: doc
Breaks: python-oslo.vmware-doc ( << 0.9.0-0ubuntu1~)
Replaces: python-oslo.vmware-doc ( << 0.9.0-0ubuntu1~)
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

Package: python-oslo.vmware
Section: oldlibs
Architecture: all
Depends: python-oslo-vmware, ${misc:Depends}
Description: transitional dummy package for python-oslo.vmware
 This transtional package is safe to remove.

Package: python-oslo.vmware-doc
Section: oldlibs
Architecture: all
Depends: python-oslo-vmware-doc, ${misc:Depends}
Description: transitional dummy package for python-oslo.vmare
 This transtional package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 override_dh_install:
 	set -e && for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-oslo.vmware; \
+			--root $(CURDIR)/debian/python-oslo-vmware; \
 	done
 #	set -e && for pyvers in $(PYTHON3S); do \
 #		python$$pyvers setup.py install --install-layout=deb \
@@ -27,12 +27,12 @@
 	testr init
 	set -e && \
 		TEMP_REZ=`mktemp -t` && \
-		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
+		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
 		rm -f $$TEMP_REZ ;
 	testr slowest
 endif
 
 override_dh_sphinxdoc:
-	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.vmware-doc/usr/share/doc/python-oslo.vmware-doc/html
+	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo-vmware-doc/usr/share/doc/python-oslo-vmware-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils

## python-oslo.vmware 1.21.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6

stevedore>=1.5.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12

# for timeutils
iso8601>=0.1.9

# for jsonutils
six>=1.9.0

oslo.i18n>=1.5.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
Babel>=1.3

# for the routing notifier
PyYAML>=3.1.0

suds-jurko>=0.6
eventlet>=0.17.4
requests>=2.5.2
urllib3>=1.8.3
oslo.concurrency>=2.3.0 # Apache-2.0

=== debian/changelog ===
python-oslo.vmware (1.21.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 05:11:03 +0000

python-oslo.vmware (1.21.0-1) experimental; urgency=medium

  [ James Page ]
  * d/pydist-overrides: Map suds-jurko -> suds to ease backporting.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 21:59:45 +0200

python-oslo.vmware (1.18.0-2) experimental; urgency=medium

  * Removed python-bandit build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 20:55:09 +0000

python-oslo.vmware (1.18.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Transitional packages are of priority: extra.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 20:33:39 +0000

python-oslo.vmware (0.13.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements and dependencies with upstream.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional packages for
      *oslo-vmware packages in Ubuntu.
  * d/*: wrap-and-sort.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:52:14 +0100

python-oslo.vmware (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.
  * Removed sphinx conf.py patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2014 22:16:09 +0800

=== debian/control ===
Source: python-oslo.vmware
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-httplib2,
                     python-iso8601,
                     python-mock (>= 1.3),
                     python-mox3,
                     python-netaddr,
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.utils (>= 1.9.0),
                     python-oslosphinx (>= 2.5.0),
                     python-requests,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-suds,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-urllib3,
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.vmware.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.vmware.git
Homepage: http://launchpad.net/oslo

Package: python-oslo.vmware
Architecture: all
Depends: python-babel,
         python-eventlet (>= 0.17.4),
         python-httplib2,
         python-iso8601,
         python-netaddr,
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.utils (>= 1.9.0),
         python-pbr (>= 1.8),
         python-requests,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-suds,
         python-urllib3,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-vmware (<< 0.13.1-1~),
Replaces: python-oslo-vmware (<< 0.13.1-1~),
Description: VMware library for OpenStack projects - Python 2.x
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the Python 2.x module.

Package: python-oslo.vmware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: VMware library for OpenStack projects - doc
 This package is part of the Oslo project, which aims at providing unified
 Python libraries across all of OpenStack. It provides a VMware library
 for OpenStack projects.
 .
 This package contains the documentation.

Package: python-oslo-vmware
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.vmware,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-vmware
 This transitional package is safe to remove.

Package: python-oslo-vmware-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.vmware-doc,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-vmware-doc
 This transitional package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 override_dh_install:
 	set -e && for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-oslo-vmware; \
+			--root $(CURDIR)/debian/python-oslo.vmware; \
 	done
 #	set -e && for pyvers in $(PYTHON3S); do \
 #		python$$pyvers setup.py install --install-layout=deb \
@@ -27,12 +27,22 @@
 	testr init
 	set -e && \
 		TEMP_REZ=`mktemp -t` && \
-		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
+		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
 		rm -f $$TEMP_REZ ;
 	testr slowest
 endif
 
 override_dh_sphinxdoc:
-	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo-vmware-doc/usr/share/doc/python-oslo-vmware-doc/html
+	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.vmware-doc/usr/share/doc/python-oslo.vmware-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
+
+# Commands not to run
+override_dh_installcatalogs:
+override_dh_installemacsen override_dh_installifupdown:
+override_dh_installinfo override_dh_installmenu override_dh_installmime:
+override_dh_installmodules override_dh_installlogcheck:
+override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
+override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
+override_dh_installcron override_dh_installdebconf:
+override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.vmware 2.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

stevedore>=1.5.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
six>=1.9.0 # MIT

oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0

# for the routing notifier
PyYAML>=3.1.0 # MIT

suds-jurko>=0.6 # LGPL
eventlet!=0.18.3,>=0.18.2 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
urllib3>=1.8.3 # MIT
oslo.concurrency>=3.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.vmware (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 10:17:36 +0000

python-oslo.vmware (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:10:30 +0000

python-oslo.vmware (2.2.1-2) experimental; urgency=medium

  * Added Python 3 support.
  * Using https VCS urls.
  * Fixed homepage field.
  * Fixed debian/copyright ordering and years and holders.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Feb 2016 03:55:49 +0000

python-oslo.vmware (2.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 09:20:02 +0000

python-oslo.vmware (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 23:05:35 +0000

python-oslo.vmware (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Dec 2015 11:12:19 +0100

python-oslo.vmware (1.21.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Also packaging the oslo_vmware/wsdl directory.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:54:08 +0000

=== debian/control ===
--- 
+++ 
@@ -12,21 +12,22 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-babel,
-                     python-coverage,
-                     python-eventlet (>= 0.17.4),
+               python3-all,
+               python3-pbr (>= 1.8),
+               python3-setuptools,
+Build-Depends-Indep: python-coverage,
+                     python-eventlet (>= 0.18.4),
                      python-fixtures (>= 1.3.1),
                      python-hacking,
                      python-httplib2,
-                     python-iso8601,
                      python-mock (>= 1.3),
                      python-mox3,
                      python-netaddr,
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.utils (>= 1.9.0),
+                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-requests,
+                     python-requests (>= 2.8.1),
                      python-six (>= 1.9.0),
                      python-stevedore (>= 1.5.0),
                      python-suds,
@@ -34,25 +35,41 @@
                      python-testtools (>= 1.4.0),
                      python-urllib3,
                      python-yaml,
+                     python3-subunit,
+                     python3-eventlet (>= 0.18.4),
+                     python3-fixtures (>= 1.3.1),
+                     python3-httplib2,
+                     python3-mock (>= 1.3),
+                     python3-mox3,
+                     python3-netaddr,
+                     python3-oslo.concurrency (>= 3.5.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.utils (>= 3.5.0),
+                     python3-requests (>= 2.8.1),
+                     python3-six (>= 1.9.0),
+                     python3-stevedore (>= 1.5.0),
+                     python3-suds,
+                     python3-testscenarios,
+                     python3-testtools (>= 1.4.0),
+                     python3-urllib3,
+                     python3-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.vmware.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.vmware.git
-Homepage: http://launchpad.net/oslo
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-oslo.vmware.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.vmware.git
+Homepage: https://github.com/openstack/oslo.vmware
 
 Package: python-oslo.vmware
 Architecture: all
-Depends: python-babel,
-         python-eventlet (>= 0.17.4),
+Depends: python-eventlet (>= 0.18.4),
          python-httplib2,
-         python-iso8601,
          python-netaddr,
-         python-oslo.concurrency (>= 2.3.0),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.utils (>= 1.9.0),
+         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.8),
-         python-requests,
+         python-requests (>= 2.8.1),
          python-six (>= 1.9.0),
          python-stevedore (>= 1.5.0),
          python-suds,
@@ -62,12 +79,38 @@
          ${python:Depends},
 Breaks: python-oslo-vmware (<< 0.13.1-1~),
 Replaces: python-oslo-vmware (<< 0.13.1-1~),
-Description: VMware library for OpenStack projects - Python 2.x
+Description: VMware library for OpenStack projects - Python 2.7
  This package is part of the Oslo project, which aims at providing unified
  Python libraries across all of OpenStack. It provides a VMware library
  for OpenStack projects.
  .
- This package contains the Python 2.x module.
+ This package contains the Python 2.7 module.
+
+Package: python3-oslo.vmware
+Architecture: all
+Depends: python3-eventlet (>= 0.18.4),
+         python3-httplib2,
+         python3-netaddr,
+         python3-oslo.concurrency (>= 3.5.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.utils (>= 3.5.0),
+         python3-pbr (>= 1.8),
+         python3-requests (>= 2.8.1),
+         python3-six (>= 1.9.0),
+         python3-stevedore (>= 1.5.0),
+         python3-suds,
+         python3-urllib3,
+         python3-yaml,
+         ${misc:Depends},
+         ${python3:Depends},
+Breaks: python-oslo-vmware (<< 0.13.1-1~),
+Replaces: python-oslo-vmware (<< 0.13.1-1~),
+Description: VMware library for OpenStack projects - Python 3.x
+ This package is part of the Oslo project, which aims at providing unified
+ Python libraries across all of OpenStack. It provides a VMware library
+ for OpenStack projects.
+ .
+ This package contains the Python 3.x module.
 
 Package: python-oslo.vmware-doc
 Section: doc
@@ -97,4 +140,4 @@
 Depends: python-oslo.vmware-doc,
          ${misc:Depends},
 Description: transitional dummy package for python-oslo-vmware-doc
- This transitional package is safe to remove.
+ This transitional package to python-oslo.vmware-doc is safe to remove.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.vmware.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.vmware; \
	done
	cp -auxf oslo_vmware/wsdl $(CURDIR)/debian/python-oslo.vmware/usr/lib/python2.7/dist-packages/oslo_vmware
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.vmware; \
	done
	cp -auxf oslo_vmware/wsdl $(CURDIR)/debian/python3-oslo.vmware/usr/lib/python3/dist-packages/oslo_vmware

override_dh_clean:
	rm -rf build
	dh_clean

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_vmware\.tests\.(?!.*test_service\.MemoryCacheTest\.test_shared_cache.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.vmware-doc/usr/share/doc/python-oslo.vmware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
https://github.com/openstack/oslo.vmware/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslo.vmware 2.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

stevedore>=1.10.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
six>=1.9.0 # MIT

oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.15.0 # Apache-2.0

# for the routing notifier
PyYAML>=3.1.0 # MIT

lxml>=2.3 # BSD
suds-jurko>=0.6 # LGPLv3+
eventlet!=0.18.3,>=0.18.2 # MIT
requests>=2.10.0 # Apache-2.0
urllib3>=1.15.1 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0

=== debian/changelog ===
python-oslo.vmware (2.11.0-1+73~bpo8+1) UNRELEASED; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:37:21 +0000

python-oslo.vmware (2.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:57:20 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
+Uploaders: Corey Bryant <corey.bryant@canonical.com>,
            Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -17,19 +17,20 @@
                python3-setuptools,
 Build-Depends-Indep: python-coverage,
                      python-eventlet (>= 0.18.4),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking,
                      python-httplib2,
-                     python-mock (>= 1.3),
+                     python-lxml (>= 2.3),
+                     python-mock (>= 2.0),
                      python-mox3,
                      python-netaddr,
-                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.concurrency (>= 3.8.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.15.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.10.0),
                      python-suds,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -37,17 +38,18 @@
                      python-yaml,
                      python3-subunit,
                      python3-eventlet (>= 0.18.4),
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-httplib2,
-                     python3-mock (>= 1.3),
+                     python3-lxml (>= 2.3),
+                     python3-mock (>= 2.0),
                      python3-mox3,
                      python3-netaddr,
-                     python3-oslo.concurrency (>= 3.5.0),
+                     python3-oslo.concurrency (>= 3.8.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.5.0),
-                     python3-requests (>= 2.8.1),
+                     python3-oslo.utils (>= 3.15.0),
+                     python3-requests (>= 2.10.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.5.0),
+                     python3-stevedore (>= 1.10.0),
                      python3-suds,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
@@ -55,23 +57,24 @@
                      python3-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-oslo.vmware.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.vmware.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.vmware?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-oslo.vmware -b debian/newton
 Homepage: https://github.com/openstack/oslo.vmware
 
 Package: python-oslo.vmware
 Architecture: all
 Depends: python-eventlet (>= 0.18.4),
          python-httplib2,
+         python-lxml (>= 2.3),
          python-netaddr,
-         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.concurrency (>= 3.8.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.15.0),
          python-pbr (>= 1.8),
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.10.0),
          python-suds,
          python-urllib3,
          python-yaml,
@@ -90,14 +93,15 @@
 Architecture: all
 Depends: python3-eventlet (>= 0.18.4),
          python3-httplib2,
+         python3-lxml (>= 2.3),
          python3-netaddr,
-         python3-oslo.concurrency (>= 3.5.0),
+         python3-oslo.concurrency (>= 3.8.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.15.0),
          python3-pbr (>= 1.8),
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.5.0),
+         python3-stevedore (>= 1.10.0),
          python3-suds,
          python3-urllib3,
          python3-yaml,

## python-oslo.vmware 2.14.0

=== requirements.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 pbr>=1.6 # Apache-2.0
 
-stevedore>=1.10.0 # Apache-2.0
+stevedore>=1.16.0 # Apache-2.0
 netaddr!=0.7.16,>=0.7.12 # BSD
 six>=1.9.0 # MIT
 
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.utils>=3.15.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 
 # for the routing notifier
 PyYAML>=3.1.0 # MIT

=== debian/changelog ===
python-oslo.vmware (2.14.0-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Removed transition packages.
  * Using pkgos-dh_auto_{install,test} from openstack-pkg-tools >= 52~.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 10:19:35 +0200

python-oslo.vmware (2.14.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
 
  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 09:54:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -26,11 +26,11 @@
                      python-netaddr,
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.15.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-suds,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -46,10 +46,10 @@
                      python3-netaddr,
                      python3-oslo.concurrency (>= 3.8.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.15.0),
+                     python3-oslo.utils (>= 3.16.0),
                      python3-requests (>= 2.10.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.10.0),
+                     python3-stevedore (>= 1.16.0),
                      python3-suds,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
@@ -58,8 +58,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.vmware?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-oslo.vmware -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.vmware?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.vmware -b debian/newton
 Homepage: https://github.com/openstack/oslo.vmware
 
 Package: python-oslo.vmware
@@ -70,11 +70,11 @@
          python-netaddr,
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.15.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-suds,
          python-urllib3,
          python-yaml,
@@ -97,11 +97,11 @@
          python3-netaddr,
          python3-oslo.concurrency (>= 3.8.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.15.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.10.0),
+         python3-stevedore (>= 1.16.0),
          python3-suds,
          python3-urllib3,
          python3-yaml,
@@ -127,21 +127,3 @@
  for OpenStack projects.
  .
  This package contains the documentation.
-
-Package: python-oslo-vmware
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: python-oslo.vmware,
-         ${misc:Depends},
-Description: transitional dummy package for python-oslo-vmware
- This transitional package is safe to remove.
-
-Package: python-oslo-vmware-doc
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: python-oslo.vmware-doc,
-         ${misc:Depends},
-Description: transitional dummy package for python-oslo-vmware-doc
- This transitional package to python-oslo.vmware-doc is safe to remove.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.vmware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	cp -auxf oslo_vmware/wsdl $(CURDIR)/debian/python-oslo.vmware/usr/lib/python2.7/dist-packages/oslo_vmware
	cp -auxf oslo_vmware/wsdl $(CURDIR)/debian/python3-oslo.vmware/usr/lib/python3/dist-packages/oslo_vmware

override_dh_clean:
	rm -rf build
	dh_clean

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'oslo_vmware\.tests\.(?!.*test_service\.MemoryCacheTest\.test_shared_cache.*)'
endif

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.vmware-doc/usr/share/doc/python-oslo.vmware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:
